$.fn.myLogPlugin = function() {
    console.log(this.text());
};

// this works even with jQuery,noConflict();
jQuery.fn.myLogPlugin = function() {
    console.log(this.text());
};

// this logs the contents one per line
jQuery.fn.myLogPlugin = function() {
    for (var i = 0; i < this.length; i++) {
        var $element = $(this[i]);
        console.log($element.text());
    }
};

// this logs the contents one per line
jQuery.fn.myLogPlugin = function() {
    this.each(function(i, element) {
        console.log($(element).text());
    });
};
